%define url_ver %(echo %{version} | cut -d. -f1,2)

%define subrel	2

Summary:	Configuration settings manager for Xfce
Name:		xfce4-settings
Version:	4.10.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
Url:		http://www.xfce.org
Source0:	http://archive.xfce.org/src/xfce/xfce4-settings/%{url_ver}/%{name}-%{version}.tar.bz2
# From upstream git:
# https://bugzilla.xfce.org/show_bug.cgi?id=9272
Patch10:	xfce4-settings-4.10.0-fix-gtk3-theme-detection.patch
# https://bugzilla.xfce.org/show_bug.cgi?id=9273
Patch11:	xfce4-settings-4.10.0-check-service-name-of-NameOwnerChanged.patch
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
BuildRequires:	pkgconfig(exo-1) >= 0.7.1
BuildRequires:	pkgconfig(garcon-1)
BuildRequires:	pkgconfig(libxfce4ui-1) >= 4.9.0
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libxklavier)
Requires:	xscreensaver
# for smooth install when updates media is enabled as garcon libs were renamed
Requires:	%{_lib}garcon1_0 >= 0.2.0

%description
Configuration settings manager for Xfce desktop environment.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--enable-sound-settings \
	--enable-libnotify \
	--enable-xrandr \
	--enable-xcursor \
	--enable-libxklavier \
	--enable-pluggable-dialogs \
	--with-pnp-ids-path=%{_datadir}/misc/pnp.ids

%make

%install
%makeinstall_std

# (tpg) this file is in %{_real_vendor}-xfce-config package
rm -rf %{buildroot}%{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xsettings.xml

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS TODO
%dir %{_sysconfdir}/xdg/xfce4/xfconf/
%dir %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/
%{_sysconfdir}/xdg/autostart/xfsettingsd.desktop
%{_sysconfdir}/xdg/menus/xfce-settings-manager.menu
%{_libexecdir}/xfce4/settings/appearance-install-theme
%{_bindir}/xfsettingsd
%{_bindir}/xfce4*
%{_datadir}/applications/xfce*.desktop


%changelog

* Sun Sep 16 2012 wally <wally> 4.10.0-1.2.mga2
+ Revision: 294581
- add strict dep for garcon lib for smooth Xfce install when updates are enabled (mga#6671)

* Sun Sep 09 2012 wally <wally> 4.10.0-1.1.mga2
+ Revision: 291163
- sync patches with current cauldron (add patches from upstream git to fix bugs reported upstream)
  * fix-gtk3-theme-detection.patch (xfce#9272)
  * check-service-name-of-NameOwnerChanged.patch (xfce#9273)

* Fri Jun 29 2012 wally <wally> 4.10.0-1.mga2
+ Revision: 265165
- update to stable xfce 4.10 from cauldron

* Mon May 28 2012 wally <wally> 4.10.0-1.mga3
+ Revision: 248464
- new version 4.10.0
- clean .spec

* Sun Feb 26 2012 wally <wally> 4.9.2-2.mga2
+ Revision: 215065
- add P0 from upstream GIT to hopefully fix X server problems with Qt apps (mga#4549)

* Mon Feb 13 2012 wally <wally> 4.9.2-1.mga2
+ Revision: 208459
- remove unregistered value from .desktop files
- new version 4.9.2

* Sun Jan 29 2012 wally <wally> 4.9.1-1.mga2
+ Revision: 203011
- new version 4.9.1
- clean BRs
- drop old obsoletes/provides
- clean .spec a bit

* Sat Sep 24 2011 wally <wally> 4.8.3-1.mga2
+ Revision: 147284
- new version 4.8.3

* Mon Jun 13 2011 ahmad <ahmad> 4.8.2-1.mga2
+ Revision: 105577
- Update to 4.8.2

* Thu Feb 17 2011 ahmad <ahmad> 4.8.1-1.mga1
+ Revision: 53260
- update to 4.8.1

* Thu Feb 17 2011 ahmad <ahmad> 4.8.0-2.mga1
+ Revision: 53007
- drop an old/unneeded patch
- imported package xfce4-settings


* Sat Jan 22 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 4.8.0-1mdv2011.0
+ Revision: 632337
- update to new version 4.8.0

* Thu Jan 06 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.7-1mdv2011.0
+ Revision: 629101
- update to new version 4.7.7

* Wed Dec 08 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.6-1mdv2011.0
+ Revision: 616398
- update to new version 4.7.6

* Sat Dec 04 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.5-1mdv2011.0
+ Revision: 609504
- add versioned buildrequires on libxfcegui4-devel

* Sun Nov 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.4-1mdv2011.0
+ Revision: 594779
- update to new version 4.7.4

* Sat Nov 06 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.3-1mdv2011.0
+ Revision: 593820
- update to new version 4.7.3

* Sat Sep 18 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.2-1mdv2011.0
+ Revision: 579351
- update to new version 4.7.2
- update configure options
- update buildrequires

* Fri Jul 16 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.5-1mdv2011.0
+ Revision: 553885
- update to new version 4.6.5
- drop patch 0, fixed by upstream

* Mon Jan 11 2010 Götz Waschk <waschk@mandriva.org> 4.6.4-2mdv2010.1
+ Revision: 489692
- patch for new libxklavier

* Sat Jan 02 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.4-1mdv2010.1
+ Revision: 485061
- update to new version 4.6.4
- drop patch 2, fixed upstream

* Thu Nov 12 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.3-3mdv2010.1
+ Revision: 465100
- Patch2: fix detecting newer libXi versions

* Wed Nov 11 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.3-2mdv2010.1
+ Revision: 464912
- rebuild for new X11 librariers

* Tue Oct 06 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.3-1mdv2010.0
+ Revision: 455242
- update to new version 4.6.3
- drop pacthes 0, 2, 3 and 4 as they were fixed by upstream
- adapt to new URL schemas for Xfce sources

* Wed Jul 08 2009 Götz Waschk <waschk@mandriva.org> 4.6.1-3mdv2010.0
+ Revision: 393441
- build with new libxklavier (bug #52028)

* Wed Jun 17 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.1-2mdv2010.0
+ Revision: 386851
- Patch2: avoind timing out of xfce4-session on startup
- Patch3: fix two typos in keyboard settings dialog

* Tue Apr 21 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.1-1mdv2010.0
+ Revision: 368578
- update to new version 4.6.1

* Sun Apr 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.0-5mdv2009.1
+ Revision: 364247
- Patch3: do not set keyboard layout by default
- Patch4: use folder name for selecting the icon and theme style

* Tue Mar 17 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.0-4mdv2009.1
+ Revision: 356959
- Patch2: select the correct refresh rate in the display dialog

* Sat Mar 14 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.0-3mdv2009.1
+ Revision: 355023
- Patch2: changing screen resolution works again
- enable embedded dialogs in xfce4-settings
- extend description

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.0-2mdv2009.1
+ Revision: 349230
- rebuild whole xfce

* Fri Feb 27 2009 Jérôme Soyer <saispo@mandriva.org> 4.6.0-1mdv2009.1
+ Revision: 345708
- New upstream release

* Tue Jan 27 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.99.1-1mdv2009.1
+ Revision: 333982
- update to new version 4.5.99.1
- Patch1: fix build with -Werror=format-security
- use versionate buildrequires on xfconf-devel

* Wed Jan 14 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.93-1mdv2009.1
+ Revision: 329518
- update to new version 4.5.93

* Wed Jan 07 2009 Götz Waschk <waschk@mandriva.org> 4.5.92-2mdv2009.1
+ Revision: 326459
- fix desktop entry

* Sat Nov 15 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.92-1mdv2009.1
+ Revision: 303562
- exclude xsettings.xml, as it should go to mandriva-xfce-config
- add full path for the Source0
- update to new version 4.5.92 (Xfce 4.6 Beta 2 Hopper)

* Fri Oct 17 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.91-3mdv2009.1
+ Revision: 294738
- obsolete xfce-mcs library, manager and plugins

* Thu Oct 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.91-1mdv2009.1
+ Revision: 294458
- Xfce4.6 beta1 is landing on cooker
- add source and spec files
- Created package structure for xfce4-settings.

